#include <fstream.h>
#include <math.h>

#define TABLE_SIZE 360

void main()
{
  ofstream out("tables.h");
  int i, j;

  for (i = 0; i < TABLE_SIZE / 10; i++)
  {
    for (j = 0; j < 10; j++)
    {
      out << "0x";
      out << hex;
      out.setf(0x200);
      out.fill('0');
      out.width(9);
      if (j != 9)
        out << (unsigned long)(sin(M_PI * 2 * (i * 10 + j) / 180) * 65536) << ",";
      else
        out << (unsigned long)(sin(M_PI * 2 * (i * 10 + j) / 180) * 65536) << ",\n";
    }
  }
  out << "};\n";

  for (i = 0; i < TABLE_SIZE / 10; i++)
  {
    for (j = 0; j < 10; j++)
    {
      out << "0x";
      out << hex;
      out.setf(0x200);
      out.fill('0');
      out.width(9);
      if (j != 9)
        out << (unsigned long)(cos(M_PI * 2 * (i * 10 + j) / 180) * 65536) << ",";
      else
        out << (unsigned long)(cos(M_PI * 2 * (i * 10 + j) / 180) * 65536) << ",\n";
    }
  }
  out << "};\n";

  out.close();
}
